Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.ww2.actions.admin
Class UpdateLicenseAction

    java.lang.Object
      ActionSupport
          com.atlassian.bamboo.ww2.BambooActionSupport
              com.atlassian.bamboo.ww2.actions.setup.AbstractSetupAction
                  com.atlassian.bamboo.ww2.actions.admin.UpdateLicenseAction

All Implemented Interfaces:
  ErrorCollection, BambooSessionAware, ReturnUrlAware

    public class UpdateLicenseAction

extends AbstractSetupAction

Field Summary

Fields inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`buildManager, CONFIRM, cookieCutter`

Constructor Summary
`UpdateLicenseAction()`

Method Summary
`String` | `execute()`
`License` | `getLicense()`
`String` | `getLicenseString()`
`String` | `getSid()`
`Date` | `getSupportPeriodEnd()`
`String` | `getVersionInfo()`
`boolean` | `isAcademicLicense()`
`boolean` | `isCommercialLicense()`
`boolean` | `isEvaluationLicense()`
`boolean` | `isOldLicenseWithNewInstall()`
`boolean` | `isOpenSourceLicense()`
`boolean` | `isSupportPeriodAlmostExpired()`
`boolean` | `isSupportPeriodExpired()`
`void` | `setBambooLicenseManager(BambooLicenseManager bambooLicenseManager)`
`void` | `setBootstrapManager(BootstrapManager bootstrapManager)`
`void` | `setLicenseString(String licenseString)`
`void` | `validate()`

Methods inherited from class com.atlassian.bamboo.ww2.actions.setup.AbstractSetupAction
`getBootstrapManager, getSetupPersister, getSetupTypeInstall, setSetupPersister, setSetupTypeInstall`

Methods inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`addError, addError, addErrorCollection, addErrorMessage, addErrorMessages, addErrors, addIllegalArgumentException, doDefault, doesLabelKeyHaveMatchingDescription, getAsPreformattedText, getBamboo, getBambooSession, getBreadCrumbs, getBuildManager, getConglomerateCookieValue, getCookieCutter, getCookieValue, getCurrentUrl, getDescriptionFromLabelKey, getFlushedErrorMessages, getReturnUrl, getUser, getWebItemsForSection, getWebResourceManager, getWebSectionsForLocation, hasAnyErrors, hasBuilds, hasPerm, isEnableSignup, isSelectFieldAndNull, setAuthenticationContext, setBambooPermissionManager, setBuildManager, setCookieCutter, setErrorMessages, setHtmlUtils, setReturnUrl, setWebInterfaceManager, setWebResourceManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.atlassian.bamboo.utils.error.ErrorCollection
`getErrorMessages, getErrors, getFieldErrors`

Constructor Detail

### UpdateLicenseAction

    public UpdateLicenseAction()

Method Detail

### getLicense

    public License getLicense()

### getSid

    public String getSid()

### getSupportPeriodEnd

    public Date getSupportPeriodEnd()

### isSupportPeriodExpired

    public boolean isSupportPeriodExpired()

### isSupportPeriodAlmostExpired

    public boolean isSupportPeriodAlmostExpired()

### isOldLicenseWithNewInstall

    public boolean isOldLicenseWithNewInstall()

### isCommercialLicense

    public boolean isCommercialLicense()

### isAcademicLicense

    public boolean isAcademicLicense()

### isOpenSourceLicense

    public boolean isOpenSourceLicense()

### isEvaluationLicense

    public boolean isEvaluationLicense()

### validate

    public void validate()

### execute

    public String execute()
                   throws Exception

  Throws:
    `Exception`

### getLicenseString

    public String getLicenseString()

### setLicenseString

    public void setLicenseString(String licenseString)

### setBambooLicenseManager

    public void setBambooLicenseManager(BambooLicenseManager bambooLicenseManager)

### getVersionInfo

    public String getVersionInfo()

### setBootstrapManager

    public void setBootstrapManager(BootstrapManager bootstrapManager)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.